## net.dontdrinkandroot.lastfm.api.xml
Class DomUtils

    java.lang.Object
      net.dontdrinkandroot.utils.xml.DomUtils
          net.dontdrinkandroot.lastfm.api.xml.DomUtils

    public class DomUtils

extends net.dontdrinkandroot.utils.xml.DomUtils

Field Summary

Fields inherited from class net.dontdrinkandroot.utils.xml.DomUtils
`LOGGER`

Constructor Summary
`DomUtils()`

Method Summary
`static Gender` `toGender(org.w3c.dom.Element element)`

Methods inherited from class net.dontdrinkandroot.utils.xml.DomUtils
`checkPreconditions, getAttributeText, getChildByTagName, getChildrenByTagName, getElementText, toBoolean, toBoolean, toCountry, toDateFromSecondsTimestamp, toDouble, toDouble, toFloat, toFloat, toHttpURL, toInteger, toInteger, toLong, toLong, toNonEmptyString, toNonEmptyString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomUtils

    public DomUtils()

Method Detail

### toGender

    public static Gender toGender(org.w3c.dom.Element element)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.